libdap::D4Connect Class Reference

## Suppress the C++ defaults for these.

| D4Connect ()
| D4Connect (const D4Connect &)
D4Connect & | operator= (const D4Connect &)
| D4Connect (const std::string &url, std::string uname="", std::string password="")
| Create an instance of Connect. More...
virtual | ~D4Connect ()
bool | is_local () const
virtual std::string | URL () const
virtual std::string | CE () const
void | set_credentials (std::string u, std::string p)
| Set the credentials for responding to challenges while dereferencing URLs. More...
void | set_accept_deflate (bool deflate)
void | set_xdap_protocol (int major, int minor)
void | set_cache_enabled (bool enabled)
bool | is_cache_enabled ()
void | set_xdap_accept (int major, int minor)
std::string | get_version ()
std::string | get_protocol ()
virtual void | request_dmr (DMR &dmr, const std::string expr="")
virtual void | request_dap4_data (DMR &dmr, const std::string expr="")
virtual void | read_dmr (DMR &dmr, Response &rs)
virtual void | read_dmr_no_mime (DMR &dmr, Response &rs)
virtual void | read_data (DMR &data, Response &rs)
virtual void | read_data_no_mime (DMR &data, Response &rs)

## Detailed Description

Definition at line 40 of file D4Connect.h.

## Constructor & Destructor Documentation

## D4Connect()

libdap::D4Connect::D4Connect | ( | const std::string & | url,
|  | std::string | uname = `""`,
|  | std::string | password = `""`
| ) |  |

Create an instance of Connect.

The D4Connect constructor requires a URL or local file.

Parameters

  n | The URL for the virtual connection.
  uname | Use this username for authentication. Null by default.
  password | Password to use for authentication. Null by default.

Definition at line 267 of file D4Connect.cc.

## Member Function Documentation

## get_protocol()

std::string libdap::D4Connect::get_protocol | ( |  | ) |

inline

Return the DAP protocol version of the most recent response. Before a response is made, this contains the std::string "2.0."

Definition at line 99 of file D4Connect.h.

## get_version()

std::string libdap::D4Connect::get_version | ( |  | ) |

inline

Return the protocol/implementation version of the most recent response. This is a poorly designed method, but it returns information that is useful when used correctly. Before a response is made, this contains the std::string "unknown." This should ultimately hold the protocol version; it currently holds the implementation version.

    @see get_protocol()
    @deprecated

Definition at line 94 of file D4Connect.h.

## set_accept_deflate()

void libdap::D4Connect::set_accept_deflate | ( | bool | deflate | ) |

Set the accept deflate property.

Parameters

  deflate | True if the client can accept compressed responses, False otherwise.

Definition at line 523 of file D4Connect.cc.

## set_cache_enabled()

void libdap::D4Connect::set_cache_enabled | ( | bool | cache | ) |

Disable any further use of the client-side cache. In a future version of this software, this should be handled so that the www library is not initialized with the cache running by default.

Definition at line 541 of file D4Connect.cc.

## set_credentials()

void libdap::D4Connect::set_credentials | ( | std::string | u,
|  | std::string | p
| ) |  |

Set the credentials for responding to challenges while dereferencing URLs.

Parameters

  u | The username.
  p | The password.

See also
  extract_auth_info()

Definition at line 515 of file D4Connect.cc.

## set_xdap_protocol()

void libdap::D4Connect::set_xdap_protocol | ( | int | major,
|  | int | minor
| ) |  |

Set the XDAP-Accept property/header. This is used to send to a server the (highest) DAP protocol version number that this client understands.

Parameters

  major | The client dap protocol major version
  minor | The client dap protocol minor version

Definition at line 533 of file D4Connect.cc.

The documentation for this class was generated from the following files:

- D4Connect.h
- D4Connect.cc